Subject: bug#2786 closed by Chong Yidong <[email-masked]> (Re: align-regexp -- no response)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 27 Mar 2009 02:40:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2786: align-regexp -- no response

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
2786: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2786
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: align-regexp -- no response
From: Chong Yidong <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 26 Mar 2009 22:34:33 -0400

> My system: Windows Xp SP3(32bit), ntEmacs 23.0.0.1
> (i386-mingw-nt5.1.2600)
 
> My file's content is like below. 
> Notice that the first character of the first line is a whitespace, 
> and the first character of the second line is not a whitespace.
> 
>  This is my text file.
> This is my text file.
> 
> M-x align-regexp RET
> 
> When minibuffer shows "Align regexp: ", I just struck Retern key
> without giving any regular expression.  And then Emacs doesn't
> response any more.

Thanks for the bug report.  This has actually been fixed in CVS already
(Bug#1982).

Subject: align-regexp -- no response
From: 박신일<[email-masked]>
To: <[email-masked]>
Date: Thu, 26 Mar 2009 22:09:55 +0900

My system: Windows Xp SP3(32bit), ntEmacs 23.0.0.1 (i386-mingw-nt5.1.2600)
 
My file's content is like below. 
Notice that the first character of the first line is a whitespace, 
and the first character of the second line is not a whitespace.
 
 This is my text file.
This is my text file.

Aaginst this text, I gave a command.
 
M-x align-regexp RET
 
When minibuffer shows "Align regexp: ", I just struck Retern key without giving any regular expression.
And then Emacs doesn't response any more. Is this a bug?
 
Reproduction scenario
1. The first character of your file's first line begins a whitespace.
2. The first character of your file's second line begins a non-whitespace character.
3. After the M-x align-regexp command, just strike Return key without giving any regular expression.
 
Result: Emacs doesn't response any more. You should kill the process of Emacs.
 
Good luck to you all. Long live GNU, Linux, Emacs!! :-)